import "Turbine.UI";
import "Turbine.UI.Lotro";
import "PengorosPlugins.BuffBars";

CombatAnalysisEffectDisplay = class(Turbine.UI.Control);

function CombatAnalysisEffectDisplay:Constructor()
    Turbine.UI.Control.Constructor(self);
end

function CombatAnalysisEffectDisplay:SetEffect(effect)
	self.effect = effect;
	
    self:SetSize(32, 32);
    self:SetBackground(effect:GetIcon());
    self:SetStretchMode(1);
end

function CombatAnalysisEffectDisplay:GetEffect()
	return self.effect;
end

function CombatAnalysisEffectDisplay:SetSize(width, height)
    --Turbine.UI.Control.SetSize(self, width - 4, height - 4);
Turbine.UI.Control.SetSize(self, width, height);
end

function CombatAnalysisEffectDisplay:SetPosition(x, y)
    --Turbine.UI.Control.SetPosition(self, x + 2, y + 2);
	Turbine.UI.Control.SetPosition(self, x, y);
end
